#!/bin/bash

function CheckLib {
 problem=$(dpkg -s $1|grep installed)
 echo Checking for $1: $problem
 if [ "" == "$problem" ]; then
      echo "No libxul. Setting up "$1
      apt-get --force-yes --yes install $1
 fi
}
				
echo Checking for requested libraries...

CheckLib libgl1-mesa-glx
CheckLib libopenal1
CheckLib libogg0
CheckLib libvorbis0a

echo Done.

